summaryrefslogtreecommitdiff
path: root/dev-python/python-swiftclient
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-01 08:38:57 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-01 08:38:57 +0000
commit8efc4509aea0f448e657d1bced6f33942c99b025 (patch)
tree555a701fb648cdf25b3a830bddfd0a811984e609 /dev-python/python-swiftclient
parentcc66ae59f0a1aa614ef0cca8757a7dedcece8116 (diff)
downloadbaldeagleos-repo-8efc4509aea0f448e657d1bced6f33942c99b025.tar.gz
baldeagleos-repo-8efc4509aea0f448e657d1bced6f33942c99b025.tar.xz
baldeagleos-repo-8efc4509aea0f448e657d1bced6f33942c99b025.zip
Adding metadata
Diffstat (limited to 'dev-python/python-swiftclient')
-rw-r--r--dev-python/python-swiftclient/Manifest1
-rw-r--r--dev-python/python-swiftclient/python-swiftclient-4.5.0.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/dev-python/python-swiftclient/Manifest b/dev-python/python-swiftclient/Manifest
index 3d99e937c315..8e94a476b048 100644
--- a/dev-python/python-swiftclient/Manifest
+++ b/dev-python/python-swiftclient/Manifest
@@ -1 +1,2 @@
DIST python-swiftclient-4.4.0.tar.gz 206470 BLAKE2B d822af670fcb06a5977d070fb9e5ec1110f7ae275203d18eaeb0cd4335fe0e07f3f7e6b28e367834d33770d3a8b27a9af0c85cd30a1e9a7047ad908ca34f13bf SHA512 d3e814d367ff0c9a251524a50ce00cd89955edf43a542257142aa831d0d2d1f8dceb5b1b0b6456ad940c9aef78ec44bd1617fc45e47f64f045ddb591b5adb83b
+DIST python-swiftclient-4.5.0.tar.gz 207642 BLAKE2B 0b15e5f110143ae7306a0c89a6d1e61907fc00a8dbb5aaaa9dddb5237f756727f114ee7036cf294126b331fd738b67119ea3c4cd68ec8bef8cf19e77a5ba0461 SHA512 95305f09cf4a00c4c0239719b2e6a54ec408bc4b12af9e6e13fb352e313aff65bd865927d4e525fe899ca730a2baf5b4c7827f6f2713d34dc135bf10eaebb6c6
diff --git a/dev-python/python-swiftclient/python-swiftclient-4.5.0.ebuild b/dev-python/python-swiftclient/python-swiftclient-4.5.0.ebuild
new file mode 100644
index 000000000000..4e48e22c1473
--- /dev/null
+++ b/dev-python/python-swiftclient/python-swiftclient-4.5.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings to the OpenStack Object Storage API"
+HOMEPAGE="
+ https://opendev.org/openstack/python-swiftclient/
+ https://github.com/openstack/python-swiftclient/
+ https://pypi.org/project/python-swiftclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/keystoneauth1-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-0.11.0[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-0.7.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ sed -e 's/test_password_prompt/_&/' -i test/unit/test_shell.py || die
+ distutils-r1_python_prepare_all
+}